<template>
  <v-container class="d-flex flex-wrap align-center justify-space-around mt-5">
    <v-img
    :src="car.photo"
    max-height="400px"
    max-width="600px"
    class="mb-5"
    ></v-img>
    <v-card
      class="mb-5"
      max-width="500px"
      >
          <v-card-title>
              {{ car.title }}
          </v-card-title>
          <v-card-text>
              {{ car.description }}
          </v-card-text>
          <v-container d-flex>
            <v-card-subtitle>
              Характеристики
              <v-list>
                  <v-list-item>Цена: {{ car.cost }}</v-list-item>
                  <v-list-item>Марка: {{ car.brand_name[0]['name'] }}</v-list-item>
                  <v-list-item>Модель: {{ car.model_name[0]['name'] }}</v-list-item>
                  <v-list-item>Лошадиных сил: {{ car.engine_volume }}</v-list-item>
                  <v-list-item>Год выпуска: {{ car.year_of_issue }}</v-list-item>
                  <v-list-item>Цвет: {{ car.color }}</v-list-item>
              </v-list>
            </v-card-subtitle>
              <v-card-subtitle>
              Контакты
              <v-list>
                  <v-list-item>Владелец: {{ this.car.user_name[0]['first_name'] }}</v-list-item>
                  <v-list-item>Телефон: {{ this.car.phone_number }}</v-list-item>
              </v-list>
              </v-card-subtitle>
          </v-container>
    </v-card>
    <v-container>
      <ReviewForm/>
    </v-container>
  </v-container>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
import ReviewForm from "@/components/ReviewForm.vue";
Vue.use(VueAxios, axios);
export default {
  name: "CarsItemPage",
  components: {
    ReviewForm,
  },
  props: ['id'],
  data() {
    return {
      car: [],
    };
  },
  methods: {
    GetCars: function () {
      let api = "http://127.0.0.1:8000/api/Cars/" + this.id + "/";
      axios({
        method: "get",
        url: api,
      })
        .then((response) => {
          this.car = response.data;
        })
        .catch((response) => {
          console.log(response);
        });
    },
  },
  mounted() {
    this.GetCars();
  },
};
</script>

<style scoped lang="scss">

</style>



